<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Post>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <div style="margin-bottom: 5px; height: 30px;">
        <% if (!Model.ForumReference.IsLoaded) Model.ForumReference.Load(); %>
        <%:Ajax.ForumMapPath(Model.Forum.ID) %>
    </div>
    <div class="ui-corner-top ui-widget-content" style="margin-right:5px;margin-left:5px;>
        <div class="ui-widget-header ui-corner-top ui-border-bottom" style="overflow: auto;">
            <% if (!Model.ThreadReference.IsLoaded) Model.ThreadReference.Load(); %>
            <h3 style="margin-left: 10px;">
                Edit:<%:Html.ActionLink(Model.Title, "Index", "Thread", new { id=Model.Thread.ID },null)%></h3>
        </div>
        <%
            ViewData["Forum"] = Model.Forum;
            Html.RenderPartial("PostForm", ViewData.Model,ViewData); 
            %>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server">
    <%:Html.CssLink("~/Content/forums.css")%>
    <%:Html.ScriptRefs(new string[] { "jquery.validate.min.js", "MicrosoftMvcJQueryValidation.js" })%>
</asp:Content>
