<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<% var profile = (ProfileBase)Model;
   string _class = Membership.GetUser(profile.UserName).IsOnline ? "forum-icon forum-icon-useronline" : "forum-icon forum-icon-useroffline";
%>
<h4 style="padding: 5px; margin: 0px;">
    <span class="<%:_class %>" style="float: left;"></span><span style="float: left;">
        <%=string.IsNullOrEmpty(profile["DisplayName"].ToString()) ? profile.UserName : profile["DisplayName"]%></span></h4>
<table style="width: 100%">
    <% if (!string.IsNullOrEmpty(profile["Avatar"].ToString()))
       { %>
    <tr>
        <td colspan="2">
            <img src="<%=Url.Content(profile["Avatar"].ToString()) %>" alt="" class="ui-corner-all" />
        </td>
    </tr>
    <%} %>
    <% if (!string.IsNullOrEmpty(profile["Location"].ToString()))
       { %>
    <tr>
        <td valign="top" style="width: 80px;">
            <%=Html.Global("RES_LOCATION")%>:
        </td>
        <td>
            <%=profile["Location"] %>
        </td>
    </tr>
    <%} %>
    <tr>
        <td valign="top">
            <%= Html.Global("forums", "Joined") %>:
        </td>
        <td>
            <%=Membership.GetUser(profile.UserName).CreationDate.ToString() %>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <%=Html.Global("forums", "LastActivity") %>:
        </td>
        <td>
            <%=profile.LastActivityDate.ToString() %>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <%=Html.Global("forums", "Threads")  %>:
        </td>
        <td>
            <%=profile.GetProfileGroup("Forum")["TotalThreads"] %>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <%=Html.Global("forums", "Posts")  %>:
        </td>
        <td>
            <%=profile.GetProfileGroup("Forum")["TotalPosts"] %>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <%=Html.Global("forums", "Rank") %>:
        </td>
        <td>
            <%=Html.Rank(profile) %>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <ul class="ui-helper-reset">
                <% if (!string.IsNullOrEmpty(profile["WebSite"].ToString()))
                   {%>
                <li style="float: left; padding: 1px;"><a target="_blank" href="<%=profile["WebSite"].ToString()  %>">
                    <span class="forum-icon forum-icon-web"></span></a></li>
                <%} %>
                <% if (!string.IsNullOrEmpty(profile["MSN"].ToString()))
                   {%>
                <li style="float: left; padding: 1px;"><a target="_blank" href=""><span class="forum-icon forum-icon-msn">
                </span></a></li>
                <%} %>
                <% if (!string.IsNullOrEmpty(profile["Yahoo"].ToString()))
                   {%>
                <li style="float: left; padding: 1px;"><a target="_blank" href="<%="http://edit.yahoo.com/config/send_webmesg?.target="+profile["Yahoo"].ToString()+"&.src=pg" %>">
                    <span class="forum-icon forum-icon-yahoo"></span></a></li>
                <%} %>
                <% if (!string.IsNullOrEmpty(profile["Email"].ToString()))
                   {%>
                <li style="float: left; padding: 1px;"><a target="_blank" href="<%="javascript:portal.mail('" + profile["Email"].ToString() + "');void(0);" %>">
                    <span class="forum-icon forum-icon-email"></span></a></li>
                <%} %>
                <% if (!string.IsNullOrEmpty(profile["Blog"].ToString()))
                   {%>
                <li style="float: left; padding: 1px;"><a target="_blank" href="<%=profile["Blog"].ToString()  %>">
                    <span class="forum-icon forum-icon-blog"></span></a></li>
                <%} %>
                <% if (!string.IsNullOrEmpty(profile["ICQ"].ToString()))
                   {%>
                <li style="float: left; padding: 1px;"><a target="_blank" href="<%=profile["ICQ"].ToString()  %>">
                    <span class="forum-icon forum-icon-icq"></span></a></li>
                <%} %>
            </ul>
        </td>
    </tr>
</table>
