﻿<%@ Control Language="C#" Inherits="DNA.Mvc.DynamicUI.WidgetViewUserControl<IEnumerable<Article>>" %>
<%:Ajax.RenderAutoSettingForm(PropertyDescriptors, IDPrefix, IsDesignMode)%>
<ul class="ui-helper-reset ui-widget-headline" style="overflow: hidden;">
    <% foreach (var article in Model)
       {
           if (!article.IsOwner())
           {
               if ((article.IsPrivate) || (!article.IsPublished))
                   continue;
           }
           %>
    <li class="ui-widget-headline-item" style="clear: both; padding: 5px;"><span class="ui-icon ui-icon-stop"
        style="float: left;"></span><a href="<%:article.GetPermaLinkUrl() %>" title="<%:string.IsNullOrEmpty(article.Summary) ? article.Title: Html.Encode(article.Summary) %>">
            <%: ((int)UserData["TextLen"])>-1 ? Html.Cut(article.Title,((int)UserData["TextLen"])) : article.Title   %></a>
        <% if ((bool)UserData["ShowAuthor"])
           { %>
        <span style="float: right;">by
            <%:Html.UserLink(article.UserName) %></span>
        <%} %>
        <% if ((bool)UserData["ShowDate"])
           { %>
        <span style="float: right; margin-right: 5px;">
            <%:article.Posted.ToShortDateString() %></span>
        <%} %>
    </li>
    <%} %>
</ul>
<%:Html.StartupScripts() %>