﻿<%@ Control Language="C#" Inherits="DNA.Mvc.DynamicUI.WidgetViewUserControl<IEnumerable<Tag>>" %>
<%:Ajax.RenderAutoSettingForm(PropertyDescriptors, IDPrefix, IsDesignMode)%>
<% 
    int count = (int)ViewData["Count"];
    if (count > 0)
   { %>
<div style="overflow: auto;min-height:5px;padding:5px;">
    <% 
        
        int limit = (int)UserData["MaximumTags"];
        int i = 0;
        foreach (var tag in Model)
        {
            if (limit != -1)
                if (i >= limit)
                    continue;
            var presentage = Convert.ToDouble(tag.Count) / Convert.ToDouble(count);
            if (count < 10)
                presentage = 0.3;
            string style = "float: left;font-weight:normal;margin-left:5px;";
            if (presentage <= 0.3)
                style += "font-size:medium;";
            if ((presentage > 0.3) && (presentage < 0.6))
                style += "font-size:larger;";
            if (presentage > 0.6)
                style += "font-size:large;font-weight:bold;";
            var builder = new TagBuilder("div");
            builder.Attributes.Add("style", style + "border:none;background:none;");
            builder.InnerHtml = tag.Name;
    %>
    <a href="<%:Url.Action("Search","Article",new {Area="Publishing", TagName=tag.Name }) %>"
        target="_blank">
        <%:MvcHtmlString.Create(builder.ToString()) %>
    </a>
    <%
i++;
        } %></div>
<%:Html.StartupScripts() %>
<%}
   else
   { %>
<div style="padding: 10px;">
   <%:Html.Global("Publishing","NoTags") %></div>
<%} %>