<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>{post-title}</title>
    <%=Html.Headers() %>
</head>
<body style="border: none;">
    <div id="dna-page-toolbox">
        <div style="padding-top: 7px;">
            <%:Html.Global("RES_SITETOOLS")%></div>
    </div>
    <div id="dna-page" style="clear: right;">
        <div id="dna-page-header">
            <%=Html.Logo(new { style = "margin:5px;" })%>
        </div>
        <div style="display: block;" class="dna-menu">
            <div style="display: inline-block;" class="ui-menu" id="DynamicMainMenu">
                <ul style="float: left;">
                    <li class="ui-menu-topitem-selected" style="float: left; position: relative;"><a
                        target="_self" href="#" style="display: inline-block;">
                        <span style="padding: 2px; cursor: default; display: inline-block;" title="">Home</span></a></li>
                    <li class="ui-menu-topitem" style="float: left; position: relative;"><a target="_self" href="#" style="display: inline-block;">
                              <span style="padding: 2px; cursor: default; display: inline-block;" title="">Blog</span></a></li>
                    <li class="ui-menu-topitem" style="float: left; position: relative;"><a target="_self" href="#" style="display: inline-block;">
                             <span style="padding: 2px; cursor: default;    display: inline-block;" title="">About</span></a></li></ul>
            </div>
        </div>
        <div id="topzone" class="ui-widget-zone">
        </div>
        <div id="dna-page-content">
            <div id="dna-page-sitemap">
                <%=Ajax.SiteMapPath() %>
            </div>
            <table style="width: 100%;">
                <tr>
                    <td valign="top">
                        <div style="height: 50px; clear: left;">
                            <h1 class="ui-title" style="margin: 10px; margin-bottom: 2px; float: left;">
                                {post-title}</h1>
                        </div>
                        <div style="overflow: hidden; display: block; margin: 5px 0px 5px 0px; padding-top: 5px;
                            border-top: 1px solid #cccccc;">
                            <%:Html.ImageLinkList()
                 .Options(opts =>
                                          {
                                              opts.CssClass = "ui-helper-reset";
                                              opts.ItemCssStyleText = "float:left;margin-right:5px;";
                                              opts.ImageCssStyleText = "float:left;margin-right:2px;";
                                              opts.TitleCssStyleText = "float:left;padding-top:2px;";
                                          })
                .Items(items => {
                    items.Add(Html.Global("publishing", "FiledUnder"), Url.Content("~/Content/Images/doc_cat.gif"));
                    items.Add(Html.Global("publishing", "Uncategorized"));
                    items.Add(Html.Global(DateTime.Now), Url.Content("~/Content/Images/calender.gif"));
                    items.Add(Html.Global("publishing", "GoToComments"), Url.Content("~/Content/Images/comments.gif"), "#");
                })
                .Render()
                            %>
                        </div>
                        <div style="padding: 10px; margin: 5px;" id="viewContent_bodyArea">
                            {post-body}
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <div id="dna-page-footer">
            <center>
                <%:Html.Copyright(new { style="margin-top:20px;"})%></center>
        </div>
    </div>
</body>
</html>
