<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Category>" %>
<% using (Ajax.BeginAjaxForm("Create", "Category", new jQueryAjaxOptions()
   {
       HttpMethod = "POST",
       AutoBlocking = true
   },
       new RouteValueDictionary(new { Area = "Publishing", id = Model != null ? Model.ID : 0 })))
   { %>
<%:Html.AntiForgeryToken() %>
<div style="padding: 10px;">
    <h3>
        <img style="float: left;" src="<%:Url.Content("~/Content/Images/Publishing/add_to_folder.png") %>"
            alt="" /><span style="float: left; margin-top: 8px;">Add category to :
                <%:Model != null ? (Model.Title.Equals("{site}", StringComparison.OrdinalIgnoreCase) ? "Root category" : Model.Title) : "Root category"%></span></h3>
</div>
<div style="padding: 10px; border-top: none;">
    <table style="width: 100%; background: none;" cellspacing="0" cellpadding="10px"
        class="ui-widget-content ui-border-top">
        <tr>
            <td class="ui-widget-content ui-border-rb" style="background: none;" valign="top">
                <h3>
                    <label for="Category_Title">
                        <%:Html.Global("RES_TITLE") %></label></h3>
                <div>
                    The title of the category that display on category map path and category tree.
                </div>
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.TextBox("Category.Title", "")%>
                <input name="Category.IsModerated" type="hidden" value="false" />
                <input name="Category.EnabledVersioning" type="hidden" value="false" />
            </td>
        </tr>
        <%--        <tr>
            <td class="ui-widget-content ui-border-rb"  valign="top">
                <h3>
                    Is moderated</h3>
                <div>
                    If this option sets every article belongs this category must be appvoed before publish.</div>
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.CheckBox("Category.IsModerated", "Enabled", false)%>
            </td>
        </tr>
        <tr>
            <td class="ui-widget-content ui-border-rb"  valign="top">
                <h3>
                    Enabled versioning</h3>
                <div>
                    Enable versioning feature of article.
                </div>
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.CheckBox("Category.EnabledVersioning", "Enabled", false)%>
            </td>
        </tr>
     <tr>
            <td class="ui-widget-content ui-border-rb"  valign="top">
                <h3>
                    Enabled comments</h3>
                If this option sets the visitor can add comments in article.
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.CheckBox("Category.EnableComments", "Enabled", false)%>
            </td>
        </tr>
        <tr>--%>
        <tr>
            <td class="ui-widget-content ui-border-rb" valign="top">
                <h3>
                    Allow anonymouse post comments</h3>
                Allow the anonymous can post comments to article.
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.CheckBox("AllowAnonymousPostComment", "Allow", false)%>
            </td>
        </tr>
        <tr>
            <td class="ui-widget-content ui-border-rb" valign="top" style="background: none;">
                <h3>
                    <label for="Category_Description">
                        <%:Html.Global("RES_DESC") %></label></h3>
                <div>
                    The description of the category.</div>
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.TextArea("Category.Description", "", new { rows = 8 })%>
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <%:Ajax.Submit("Save", "ui-icon ui-icon-disk")%>
            </td>
        </tr>
    </table>
</div>
<% } %>
<%=Html.StartupScripts() %>
