<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<RegisterModel>" %>

<asp:Content ID="registerHead" ContentPlaceHolderID="head" runat="server">
    <%=Html.ScriptRefs(new string[] {"jquery.validate.min.js","MicrosoftMvcJQueryValidation.js" }) %>
</asp:Content>
<asp:Content ID="registerContent" ContentPlaceHolderID="MainContent" runat="server">
    <div class="ui-corner-all ui-widget-content" style="margin: 30px;">
        <div class="ui-widget-header ui-corner-top ui-border-bottom" style="padding: 10px">
            <h1 style="overflow: auto;">
                <img style="float: left;" src="<%:Url.Content("~/Content/Images/add_user.png") %>"
                    alt="" />
                <span style="float: left; margin-top: 10px; margin-left: 5px;">
                    <%=Html.Global("RES_CREATENEWACCOUNT")%></span></h1>
        </div>
        <% Html.EnableClientjQueryValidation(); %>
        <div class="ui-widget" style="margin: 6px">
            <div style="padding: 0pt 0.7em; margin-top: 5px;" class="ui-state-highlight ui-corner-all">
                <p>
                    <span style="float: left; margin-right: 0.3em;" class="ui-icon ui-icon-info"></span>
                </p>
                <p>
                    <%:string.Format(Html.Global("Account_Register_PasswordLength"),Html.Encode(ViewData["PasswordLength"]))%>
                </p>
            </div>
        </div>
        <% using (Html.BeginForm())
           { %>
        <%: Html.ValidationSummary() %>
        <%:Html.AntiForgeryToken() %>
        <table cellpadding="5px;" cellspacing="5px">
            <tr>
                <td>
                    <label for="UserName">
                        <%=Html.Global("RES_USER_NAME")%>:</label>
                </td>
                <td>
                    <%=Ajax.TextBox("UserName", "ui-icon ui-icon-contact", 300)%>
                    <%= Html.ValidationMessageFor(m=>m.UserName) %>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="Email">
                        <%=Html.Global("RES_EMAIL")%>:</label>
                </td>
                <td>
                    <%=Ajax.TextBox("Email", "ui-icon ui-icon-mail-closed", 300)%>
                    <%= Html.ValidationMessageFor(m=>m.Email) %>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="password">
                        <%=Html.Global("RES_PASSWORD")%>:</label>
                </td>
                <td>
                    <%=Ajax.Password("Password", "ui-icon ui-icon-key", 300)%>
                    <%= Html.ValidationMessageFor(m=>m.Password) %>
                </td>
            </tr>
            <tr>
                <td>
                    <label for="ConfirmPassword">
                        <%=Html.Global("RES_CONFIRM_PASSWORD")%>:</label>
                </td>
                <td>
                    <%=Ajax.Password("ConfirmPassword", "ui-icon ui-icon-check", 300)%>
                    <%= Html.ValidationMessageFor(m=>m.ConfirmPassword) %>
                </td>
            </tr>
            <tr>
                <td colspan="2" align="right">
                    <%=Ajax.Submit(Html.Global("RES_REGISTER"), "ui-icon-person")%>
                </td>
            </tr>
        </table>
        <% } %>
    </div>
</asp:Content>
