﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<div class="ui-widget" style="margin: 5px;">
    <div class="ui-state-highlight ui-corner-all" style="margin-top: 20px; padding: 0 .7em;">
        <p>
            <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
            <strong>
                <%:Html.Global("RES_TIPS") %>:</strong><%:Html.Global("PageManger_Tips")%></p>
    </div>
</div>
<div style="margin: 10px;">
    <%
        var web = this.CurrentWeb(); //location.reload
        string defaultUrl = web.DefaultUrl;

        if (string.IsNullOrEmpty(defaultUrl))
        {
            if (web.Name.Equals("home", StringComparison.OrdinalIgnoreCase))
                defaultUrl = WebSite.ApplicationPath;
            else
                defaultUrl = web.GetFullUrl();
            // Request.Url.Scheme + "://" + Request.Url.Authority + "/sites/" + web.Name + "/index";
        }
        else
        {
            defaultUrl = Url.Content(web.DefaultUrl);
        }
    %>
    <img src="<%:Url.Content("~/Content/Images/icon_homelink.gif") %>" alt="Default url" /><span><%:Html.Global("RES_DEFAULT_URL")%>:</span>
    <span id="pageMan_defaultUrl">
        <%: defaultUrl %></span>
</div>
<div style="overflow: auto; padding: 5px;" id="pagemanagercontainer">
    <div style="float: left; width: 300px; margin-right: 5px;">
        <%:Ajax.TreeView("siteMapTree", new DNA.Mvc.DynamicUI.DynamicPageService(), new TreeViewOptions()
{
    DisableNodeLinks = true,
    EnableDragAndDrop = true,
    BaseImageUrl = Url.Content("~/content/images/treeview/"),
    OnNodeSelected = "$('#parentID').val(node.element.attr('key'));$('#parentID').parents('form').submit();",
    OnNodeDropped = "$.post('" + Url.Action("Move", "DynamicUI", new { Area = "" }) + "', { id: ui.node.attr('key'), pos: ui.position,parentID:ui.parentNode.attr('key') },function(){ $('#parentID').val(ui.parentNode.attr('key'));$('#parentID').parents('form').submit();});"
}, null)%>
    </div>
    <% using (Ajax.BeginAjaxForm("SubPages", "DynamicUI", new jQueryAjaxOptions() { AutoBlocking = true, UpdateTargetID = "pageListContainer" }, null))
       { %><input name="parentID" type="hidden" id="parentID" value="0" />
    <div style="float: left">
        <div style="clear: left; padding: 5px; margin: 5px; padding-left: 0px; margin-left: 0px;">
            <%:Ajax.Toolbar("pagetoolbar")
                                 .ToolPane(pane=>{
                                     pane.AddIconTextButton( Html.Global("RES_EXPORT_ALL_PAGES"), "", "window.open('" + Url.Action("ExportAll", "DynamicUI", new { Area = "" }) + "');");
                                     pane.AddSpliter();
                                     pane.AddIconTextButton(Html.Global("RES_REFRESH"), "", "location='" + Url.Action("Index", "Sys", new { Area = "" }) + "#'+$('#pagemanagercontainer').parent().attr('id');location.reload(true);");
                                 })
                                 .Render()
            %>
        </div>
        <div id="pageListContainer">
            <% Html.RenderAction("SubPages", "DynamicUI", new { parentID = 0 }); %>
            <%} %>
        </div>
        <%: Html.StartupScripts() %>
    </div>
</div>
