﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PackageDescriptor>" %>
<h4 style="margin: 2px 2px 2px 0px;">
    <%:Model.Name %></h4>
<div>
    <%:Html.FormatXhtml(Model.Description)%></div>
<% if (!string.IsNullOrEmpty(Model.Version.Build) || (!string.IsNullOrEmpty(Model.Version.Notes)))
   { %>
<div>
<% if (!string.IsNullOrEmpty(Model.Version.Build))
   { %>
    <div style="float: left;">
        <u><%:HttpContext.GetGlobalResourceObject("language", "RES_VERSION") %>:</u><span><%:Model.Version.Build%></span></div>
        <%} %>
    <% if (!string.IsNullOrEmpty(Model.Version.Notes))
       { %>
    <a style="float: left;" href="javascript:void(0);" onclick="<%:"uiHelper.showMsg('Release notes','"+Html.FormatXhtml(Model.Version.Notes)+"');" %>">
        <span class="ui-icon ui-icon-document" style="float: left;"></span>Release notes
    </a>
    <%} %>
</div>
<%} %>
<div style="clear: left;">
    <u><%:HttpContext.GetGlobalResourceObject("language", "RES_AUTHOR") %></u>:
    <%:Model.Author.Name%></div>
<% if (!string.IsNullOrEmpty(Model.Author.Organization))
   { %>
<div>
    <u><%:HttpContext.GetGlobalResourceObject("language", "RES_ORGANIZATION") %></u>:<a href="<%:Model.Author.Url %>"><%:Model.Author.Organization%></a>
</div>
<%}
    if (!string.IsNullOrEmpty(Model.Author.Email))
   {%>
<div>
    <u><%:HttpContext.GetGlobalResourceObject("language", "RES_EMAIL") %></u>:<a href="<%:"mailto:"+Model.Author.Email %>"><%:Model.Author.Email%></a></div>
<%} %>
<% if (Model.Licenses.Count > 0)
   { %>
<div>
    <span style="float: left;">Licenses:</span>
    <ul class="ui-helper-reset">
        <% foreach (var lic in Model.Licenses)
           { %>
        <li style="float: left; margin-left: 5px;">
            <% if (!string.IsNullOrEmpty(lic.Url))
               { %>
            <a target="_blank" href="<%:string.IsNullOrEmpty(lic.Url) ? "#":lic.Url %>">
                <%:lic.Name%></a>
            <%}
               else
               {
                   if (!string.IsNullOrEmpty(lic.Text))
                   {
                       var id = Guid.NewGuid().ToString().Substring(0, 5);
            %>
            <a href="javascript:void(0);" onclick="<%:"$('#"+id+"').dialog({width:600,height:500});" %>">
                <%:lic.Name%></a>
            <div style="display: none; overflow: auto; min-width: 500px;" title="<%:lic.Name %>"
                id="<%:id %>">
                <%:Html.FormatXhtml(lic.Text) %>
            </div>
            <%}
                                           else
                                           { %>
            <span>
                <%:lic.Name %></span>
            <%}
                                       }%>
        </li>
        <%} %>
    </ul>
</div>
<div style="clear: left;" />
<%} %>
<% if (Model.Links.Count > 0)
   { %>
<div>
    <% foreach (var link in Model.Links)
       { %>
    <div>
        <a style="float: left;" href="<%:link.NavigateUrl %>" target="_blank"><span class="ui-icon ui-icon-extlink"
            style="float: left;"></span><span style="float: left;">
                <%:link.Title %></span></a></div>
    <%} %>
</div>
<%} %>
