<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<string[]>" %>
<div id="rolesContainer">
    <% Html.EnableClientjQueryValidation(); %>
    <table width="100%">
        <tr>
            <td style="width: 285px" valign="top">
                <div class="dna-ui-widget">
                    <div class="ui-widget-header ui-corner-top" style="padding: 5px;">
                        <%=Html.Global("RES_ROLE_MGT")%>
                    </div>
                    <div class="ui-widget-content ui-corner-bottom" style="border-top: none;">
                        <% using (Ajax.BeginAjaxForm("Create", "Security", new jQueryAjaxOptions() { UpdateTargetID = "rolesContainer", AutoBlocking = true }, null))
                           { %>
                           <%:Html.AntiForgeryToken() %>
                        <table style="width: 100%;">
                            <tr>
                                <td colspan="3">
                                    <%=Html.ValidationSummary()%>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <%=Ajax.TextBox("NewRoleName", "ui-icon ui-icon-person",160)%>
                                </td>
                                <td>
                                    <%=Html.ValidationMessage("NewRoleName","*") %>
                                </td>
                                <td>
                                    <%=Ajax.Submit(Html.Global("RES_ADD"), "ui-icon ui-icon-plus")%>
                                </td>
                            </tr>
                        </table>
                        <%} %>
                        <ul class="ui-helper-reset" style="padding: 5px;">
                            <% foreach (var role in Model)
                               { %>
                            <li style="clear: left; height: 30px;">
                                <ul class="ui-helper-reset" style="float: left;">
                                    <li style="float: left;">
                                        <%:Ajax.jQueryActionLink(role,"ui-icon ui-icon-person","RoleDetail","Security",new {role=role},new jQueryAjaxOptions(){    AutoBlocking=true,    UpdateTargetID = "permissionView"    },null) %></li>
                                    <li style="float: left;">
                                        <% if ((role != "administrators") && (role != "guests")) %>
                                        <%:Ajax.ActionButton("", "ui-icon ui-icon-close", "Delete", "Security", new jQueryAjaxOptions() { AutoBlocking = true, UpdateTargetID = "rolesContainer",HttpMethod="POST",Confirm = Html.Global("RES_CONFIRMROLEDELETE") }, new { roleName = role }, new { style="width:18px;height:18px;"})%></li>
                                </ul>
                            </li>
                            <%} %>
                        </ul>
                    </div>
                </div>
            </td>
            <td valign="top">
                <div id="permissionView">
                    <div style="padding: 10px; margin-top: 5px;" class="ui-state-highlight ui-corner-all">
                        <p>
                            <span style="float: left; margin-right: 0.3em;" class="ui-icon ui-icon-info"></span>
                            Not Role found to display this information please select a role first.</p>
                    </div>
                </div>
            </td>
        </tr>
    </table>
</div>
<%--<% 
    Html.ClientRes("AreYouSure", Html.Global("RES_AREYOUSURE"));
    Html.ClientRes("DeleteRoleConfirm", Html.Global("RES_CONFIRMROLEDELETE"));
    Html.ClientRes("RoleExists", Html.Global("RES_ROLEEXISTS"));
    Html.ClientRes("RoleExistsMsg", Html.Global("RES_ADDEXISTSROLEMSG"));
%>--%>
<%=Html.StartupScripts() %>