<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<List<PermissionSet>>" %>
<div id="permsContainer">
    <% using (Ajax.BeginAjaxForm("Apply", "Security", new jQueryAjaxOptions() { AutoBlocking = true, UpdateTargetID = "permsContainer" }, null))
       { %>
       <%:Html.AntiForgeryToken() %>
    <div id="permsAccordion">
        <% 
            foreach (var permset in Model)
            {
        %>
        <h4>
            <a href="#">
                <%=permset.Name %>
            </a>
        </h4>
        <% 
            //if (!permset.Permissions.IsLoaded)
                //permset.Permissions.Load();
            var perms = permset.GetPermissions();
            if (perms.Count() > 0)
            {
        %>
        <div>
            <ul class="ui-helper-reset">
                <%} %>
                <% foreach (var perm in perms)
                   {
                %>
                <li style="clear: left;margin:3px;padding:2px;">
                    <%
                        string permID = "perm_" + perm.ID.ToString();
                    %>
                    <%=Ajax.CheckBox(permID,perm.Title,Html.IsAuthorize(perm, ViewData["Role"].ToString())) %>
                    <%
                        if (!string.IsNullOrEmpty(perm.Description))
                        {
                    %>
                    <%="-" + perm.Description %>
                    <%}%>
                </li>
                <%} %>
                <% if (perms.Count() > 0)
                   {
                %>
            </ul>
        </div>
        <%} %>
        <%} %>
    </div>
    <%=Html.Hidden("roleName",ViewData["Role"].ToString()) %>
    <% if (ViewData["Role"].ToString() != "administrators")
       { %>
    <div id="buttonsPane" style="padding: 5px; padding-top: 20px;">
        <%=Ajax.Submit(Html.Global("RES_APPLY"), "ui-icon ui-icon-disk")%>
    </div>
    <%} %>
</div>
<%} %>
<% Ajax.Accordion("#permsAccordion", new AccordionOptions() { AutoHeight = false }); %>
<%=Html.StartupScripts() %>
