<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IDictionary<string, string>>" %>
<div class="ui-widget-content ui-corner-bottom" id="controlPanelTabs">
    <ul>
        <% var tabs = (IDictionary<string, string>)Model;
           foreach (string key in tabs.Keys)
           { %>
        <li><a href="<%=tabs[key] %>">
            <%=key %></a></li>
        <%} %>
    </ul>
    <% 
        Ajax.jQuery("#controlPanelTabs", "tabs", new TabsOptions()
       {
           EnabledContentCache = true,
           Animations = new { opacity = "toggle" }
       });
        
       Ajax.Sortable("#controlPanelTabs .ui-tabs-nav", new SortableOptions() 
       { 
           DragOrientation = DNA.Mvc.jQuery.Orientation.Horizontal 
       });
        
       Ajax.RegisterStartupScript("$('#controlPanelTabs').css('font-size',$('#controlPanelTabs').parent().css('font-size'));"); //Fix the font bug of jQuery theme
    %>
</div>
<%=Html.StartupScripts() %>
