﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MvcMusicStore.ViewModels.StoreBrowseViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% Ajax.EnabledCustomization(); %>
    <div style="overflow: auto; margin-left: 5px;">
        <div class="ui-widget-zone" id="zone0" style="float: left; width: 200px;">
        </div>
        <div class="genre" style="float: left; width: 700px">
            <h3>
                <em>
                    <%: Model.Genre.Name %></em> Albums</h3>
            <ul id="album-list">
                <% foreach (var album in Model.Albums)
                   { %>
                <li><a href="<%: Url.Action("Details", new { id = album.AlbumId }) %>">
                    <img alt="<%: album.Title %>" src="<%: album.AlbumArtUrl %>" />
                    <span>
                        <%: album.Title %></span> </a></li>
                <% } %>
            </ul>
        </div>
        <div class="ui-widget-zone" id="zone3" style="min-width: 922px; margin-top: 5px;
            margin-bottom: 5px;">
        </div>
    </div>
</asp:Content>
