<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<Uri>>" %>
<% var randomID = Guid.NewGuid().ToString().Substring(0, 5); %>
<div id="<%=randomID %>">
    <ul class="ui-helper-reset">
        <% foreach (var uri in Model)
           {
               var fileInfo = new WebResourceInfo(uri);
        %>
        <li title="<%=fileInfo.Name %>">
            <div class='ui-listview-item-img'>
                <p>
                    <%:Ajax.ImageResource(uri)%></p>
            </div>
            <div title="<%=fileInfo.Name %>" style="font-weight: normal; font-size: 8pt;">
                <%=Html.Cut(fileInfo.Name, 8)%></div>
            <input type="hidden" value='<%=fileInfo.Url.ToString() %>' />
        </li>
        <%} %>
    </ul>
</div>
<% Ajax.jQuery("#" + randomID, "listview", new { items = ">ul>li" }); %>
<%=Html.StartupScripts() %>