﻿<%@ Control Language="C#" Inherits="DNA.Mvc.DynamicUI.WidgetViewUserControl" %>
<%:Ajax.RenderAutoSettingForm(PropertyDescriptors, IDPrefix, IsDesignMode)%>
<%=Html.StartupScripts() %>
<table style="width:100%">
    <% if (UserData["Company"] != null)
       {
           if (!string.IsNullOrEmpty(UserData["Company"].ToString()))
           { %>
    <tr>
        <%-- <td style="white-space: nowrap" valign="top">
            <%:Html.Global("RES_COMPANY")%>
        </td>--%>
        <td valign="top" colspan="2">
            <%:UserData["Company"]%>
        </td>
    </tr>
    <%}
       }%>
    <%if (UserData["Contact"] != null)
      {
          if (!string.IsNullOrEmpty(UserData["Contact"].ToString()))
          { %>
    <tr>
        <td style="white-space: nowrap;width:20px" valign="top">
            <%:Html.Global("RES_CONTACT")%>:
        </td>
        <td valign="top">
            <%:UserData["Contact"].ToString().Trim()%>
        </td>
    </tr>
    <%}
      } %>
    <%if (UserData["Phone"] != null)
      {
          if (!string.IsNullOrEmpty(UserData["Phone"].ToString()))
          { %>
    <tr>
        <td style="white-space: nowrap" valign="top">
            <%:Html.Global("RES_PHONE")%>:
        </td>
        <td valign="top">
            <%:UserData["Phone"].ToString().Trim()%>
        </td>
    </tr>
    <%}
      } %>
    <%if (UserData["Mobile"] != null)
      {
          if (!string.IsNullOrEmpty(UserData["Mobile"].ToString()))
          { %>
    <tr>
        <td style="white-space: nowrap" valign="top">
            <%:Html.Global("RES_MOBILE")%>:
        </td>
        <td valign="top">
            <%:UserData["Mobile"].ToString().Trim()%>
        </td>
    </tr>
    <%}
      } %>
    <% if (UserData["Fax"] != null)
       {
           if (!string.IsNullOrEmpty(UserData["Fax"].ToString()))
           { %>
    <tr>
        <td style="white-space: nowrap" valign="top">
            <%:Html.Global("RES_FAX")%>:
        </td>
        <td valign="top">
            <%:UserData["Fax"].ToString().Trim()%>
        </td>
    </tr>
    <%}
       }%>
    <%if (UserData["Email"] != null)
      {
          if (!string.IsNullOrEmpty(UserData["Email"].ToString()))
          { %>
    <tr>
        <td style="white-space: nowrap" valign="top">
            <%:Html.Global("RES_EMAIL")%>:
        </td>
        <td valign="top">
            <a href='<%:"mailto:"+UserData["Email"].ToString().Trim()%>' title='<%:UserData["Email"].ToString().Trim()%>'>
                <%:UserData["Email"].ToString().Trim()%></a>
        </td>
    </tr>
    <%}
      }%>
    <% if (UserData["WebSite"] != null)
       {
           if (!string.IsNullOrEmpty(UserData["WebSite"].ToString()))
           { %>
    <tr>
        <td style="white-space: nowrap" valign="top">
            <%:Html.Global("RES_WEBSITE")%>:
        </td>
        <td valign="top">
            <a href='<%:UserData["WebSite"].ToString().Trim()%>' target="_blank">
                <%:UserData["WebSite"].ToString().Trim()%></a>
        </td>
    </tr>
    <%}
       } %>
    <%if (UserData["Address"] != null)
      {
          if (!string.IsNullOrEmpty(UserData["Address"].ToString()))
          { %>
    <tr>
        <td style="white-space: nowrap" valign="top">
            <%:Html.Global("RES_ADDRESS")%>:
        </td>
        <td valign="top">
            <%:UserData["Address"].ToString().Trim()%>
        </td>
    </tr>
    <%}
      } %>
    <% if (UserData["PostCode"] != null)
       {
           if (!string.IsNullOrEmpty(UserData["PostCode"].ToString()))
           { %>
    <tr>
        <td style="white-space: nowrap" valign="top">
            <%:Html.Global("RES_POSTCODE")%>:
        </td>
        <td valign="top">
            <%:UserData["PostCode"].ToString().Trim()%>
        </td>
    </tr>
    <%}
       }%>
</table>
