<%@ Control Language="C#" Inherits="DNA.Mvc.DynamicUI.WidgetViewUserControl" %>
<% string objID = Guid.NewGuid().ToString().Substring(0, 5);
   string _url = UserData["Url"] != null ? UserData["Url"].ToString() : "";// Model.GetValue("Url");
   string _file = string.IsNullOrEmpty(_url) ? "" : (VirtualPathUtility.IsAbsolute(_url) ? VirtualPathUtility.GetFileName(_url) : _url);
   string _bgcolor = UserData["BackgroundColor"].ToString();

   if (IsDesignMode)
   {
       List<SelectableNode> wmodes = new List<SelectableNode>();
       wmodes.AddRange(new SelectableNode[]{
       new SelectableNode("window", "window"),
   new SelectableNode("opaque", "opaque"),
   new SelectableNode("transparent", "transparent")});

       List<SelectableNode> qualities = new List<SelectableNode>();
       qualities.AddRange(new SelectableNode[]{
   new SelectableNode("low", "low"),
   new SelectableNode("autolow", "autolow"),
   new SelectableNode("autohigh", "autohigh"),
   new SelectableNode("medium", "medium"),
   new SelectableNode("high", "high"),
   new SelectableNode("best", "best")
    });
    
%>
<form action="#" class="ui-widget-settings ui-widget-content ui-corner-all">
<div>
    Url</div>
<div style="overflow: hidden;">
    <%:Ajax.TextBox(GenerateFieldID("Url"), _url)%>
    <%:Ajax.FileButton(GenerateFieldID("Url"), 
    WebContext.Current.Web.GetWebRootUri(), 
    new ButtonOptions() 
    { 
        Text = Html.Global("RES_BROWSE"), 
        Icons = new ButtonOptions.ButtonIcons()
        { 
            PrimaryIconCssClass = "ui-icon ui-icon-folder-open" 
        } 
    }, 
       null)%>
</div>
<div style="overflow: hidden; margin-top: 5px;">
    Width</div>
<div style="overflow: hidden;">
    <%:Ajax.Number(GenerateFieldID("Width"), (int)UserData["Width"])%></div>
<div>
    Height</div>
<div>
    <%:Ajax.Number(GenerateFieldID("Height"), (int)UserData["Height"])%></div>
<div>
    <%=PropertyDescriptors["WMODE"].DisplayName%></div>
<div>
    <%=Ajax.DropDown(GenerateFieldID( "WMODE"), wmodes, new DropDownOptions() { SelectedValue = UserData["WMODE"].ToString() })%>
</div>
<div>
    <%=PropertyDescriptors["Quality"].DisplayName%></div>
<div>
    <%=Ajax.DropDown(GenerateFieldID( "Quality"), qualities, new DropDownOptions() { SelectedValue = UserData["Quality"].ToString() })%></div>
<div>
    <%=PropertyDescriptors["FlashVars"].DisplayName%>
</div>
<div>
    <%:Ajax.TextBox(GenerateFieldID("FlashVars"), UserData["FlashVars"] != null ? UserData["FlashVars"].ToString() : "")%></div>
</form>
<%
    }
   if (string.IsNullOrEmpty(_url))
   { %>
<div class="dna-state-info">
    Please set the Flash object url.</div>
<% }
   else
   { %>
<object id="<%=objID %>" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0"
    width="<%=UserData["Width"].ToString() %>" height="<%=UserData["Height"].ToString() %>">
    <param name="movie" value="<%=_file %>" />
    <param name="quality" value="<%=UserData["Quality"].ToString() %>" />
    <param name="bgcolor" value="<%=_bgcolor %>" />
    <embed name="<%=objID %>" src="<%=_url %>" quality="<%=UserData["Quality"].ToString() %>"
        bgcolor="<%=_bgcolor %>" width="<%=UserData["Width"].ToString()  %>" height="<%=UserData["Height"].ToString() %>"
        align="" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer">
        </embed>
</object>
<%} %>
<%=Html.StartupScripts()  %>