<%@ Control Language="C#" Inherits="DNA.Mvc.DynamicUI.WidgetViewUserControl<WebStatistics>" %>
<% if (IsDesignMode)
   { %>
<form action="#" class="ui-widget-settings ui-widget-content ui-corner-all">
<div>
    <%:PropertyDescriptors["Minutes"].DisplayName%></div>
<div>
    <%:Ajax.Number(GenerateFieldID( "Minutes"), UserData["Minutes"] != null ? UserData["Minutes"] : 0, 75)%></div>
</form>
<%} %>
<div style="padding: 5px;">
    <div>
        In total there are <b>
            <%:Model.OnlineGuests+Model.OnlineRegisters %></b> users online :<b>
                <%:Model.OnlineRegisters%></b> registered, <b>
                    <%:Model.OnlineGuests%></b> guests (based on users active over the past
        <%: UserData["Minutes"] %>
        minutes) Most users ever online was <b>
            <%:Model.MostOnlineCount%></b> on <b>
                <%:Html.Global( Model.MostOnlined) %></b>
    </div>
    <% var _guests = ViewData["Guests"] as string[];
       var _registers = ViewData["Registers"] as string[];
    %>
    <% if ((_registers != null) && (_registers.Length > 0))
       { %>
    <div style="margin-top: 10px;">
        <%:Html.Global("WhoIsOnline_RegistedUsers")%>:
        <%
            foreach (var user in _registers)
            { %>
        <a href="#" style="margin-right: 3px;">
            <%=Html.UserLink(user) %></a>
        <%} %>
    </div>
    <%} %>
    <div>
        <%:Html.Global("WhoIsOnline_TotalMembers")%>
        :<%:Model.RegistedUserCount%></div>
    <div>
        <%:Html.Global("RES_PAGEVIEWS")%>
        :<%=Model.PageView %>
    </div>
    <div>
        <%:Html.Global("WhoIsOnline_Visits")%>
        :<%=Model.Visits%>
    </div>
</div>
<%:Html.StartupScripts() %>