<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<Forum>>" %>
<% if (Model.Count() > 0)
   { %>
<table style="width: 100%; border: none;" cellpadding="5" cellspacing="0" class="ui-forum-list ui-widget-content">
    <tr>
        <th class="ui-state-active ui-border-bottom" style="padding: 10px;" align="center">
        </th>
        <th class="ui-state-active ui-border-rb" style="padding: 10px;" align="center">
            <%=Html.Global("forums", "Forum")%>
        </th>
        <th class="ui-state-active ui-border-rb" style="padding: 10px;" align="center">
            <%=Html.Global("forums", "Moderators")%>
        </th>
        <th class="ui-state-active ui-border-rb" style="padding: 10px;" align="center">
            <%=Html.Global("forums", "Threads")%>
        </th>
        <th class="ui-state-active ui-border-rb" style="padding: 10px;" align="center">
            <%=Html.Global("forums", "Posts")%>
        </th>
        <th class="ui-state-active ui-border-bottom" style="padding: 10px;" align="center">
            <%=Html.Global("forums","LastPost") %>
        </th>
    </tr>
    <% 
        foreach (var forum in Model)
        { %>
    <tr>
        <td style="width: 30px;" class="ui-widget-content ui-border-rb">
            <div class="forum-icon forum-icon-forum forum-icon-forum-old">
            </div>
        </td>
        <td style="padding: 10px;" class="ui-widget-content ui-border-rb">
            <h4>
                <%=Html.ActionLink(forum.Title, "Index","Thread", new { id=forum.ID},null)%>
            </h4>
            <div>
                <%=forum.Description %></div>
            <% Html.RenderAction("Forums", new { parentID=forum.ID})%>
        </td>
        <td class="ui-widget-content ui-border-rb">
            Moderators
        </td>
        <td class="ui-widget-content ui-state-active ui-border-rb" align="right">
            <%=(forum.TotalThreads !=null ? forum.TotalThreads : 0) %>
        </td>
        <td class="ui-widget-content ui-state-active ui-border-rb" align="right">
            <%=(forum.TotalPosts!=null ? forum.TotalPosts : 0) %>
        </td>
        <td class="ui-widget-content ui-border-bottom">
            <%=(forum.LastPosted!=null ? forum.LastPosted.ToString() : "-") %>
        </td>
    </tr>
    <%} %>
</table>
<script type="text/javascript">
    $(function() {
        $(".ui-forum-list tr:last td").css({ "border-bottom": "none" });
        $(".ui-forum-list tr").hover(function() { $("td", this).addClass('ui-state-hover'); }, function() { $("td", this).removeClass('ui-state-hover'); });
    });
</script>
<%} %>
<%=Html.StartupScripts() %>