<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Post>" %>
<%@ Import Namespace="DNA.Mvc.Areas.Community.Controllers" %>
<% Html.EnableClientjQueryValidation();
   var forum = (Forum)ViewData["Forum"];
   if (Model != null)
       if (!Model.ThreadReference.IsLoaded) Model.ThreadReference.Load();
%>
<% using (Html.BeginForm())
   { %>
<%: Html.AntiForgeryToken() %>
<table style="width: 100%">
    <tr>
        <td colspan="2">
            <%:Html.ValidationSummary() %>
        </td>
    </tr>
    <tr>
        <td style="width: 80px; padding: 5px;" align="right">
            <label for="PostTitle">
                <%=Html.Global("RES_TITLE") %>:</label>
            (<%:Html.ValidationMessageFor(m=>m.Title,"*") %>)
        </td>
        <td>
            <%=Ajax.TextBox("PostTitle",(ViewData["TitlePrefix"]!=null ?ViewData["TitlePrefix"].ToString():"")+(Model == null ? "" : Model.Title), new TextBoxOptions() { Width = 400,
    IconCssClass = "ui-icon ui-icon-document" })%>
        </td>
    </tr>
    <% if (forum.AllowAttachment)
       { %>
    <tr>
        <td align="right">
            <label for="PostAttachment">
                Attachment:</label>
        </td>
        <td>
            <input id="PostAttachment" name="PostAttachment" style="width: 200px; float: left;"
                type="file" />
            <% Html.RegisterStartupScript("$('form').attr(\"enctype\",\"multipart/form-data\")"); %>
            <% if (Model != null)
               {
                   if (Model.HasAttachment)
                   {
            %>
            <input id="__delAttachment" name="IsDetach" value="false" type="hidden" />
            <div style="margin-top: 5px;" id="__attachmentContainer">
                <span class="forum-icon forum-icon-attach" style="float: left; margin-top: 3px; width: 10px;">
                </span>
                <%:Ajax.AttachmentLink(Model.Attachments.First(), new { style = "float:left;" })%>
                <a href="javascript:void(0);" onclick="$('#__attachmentContainer').hide();$('#__delAttachment').val('true');"
                    style="float: left; margin-left: 5px;">delete</a>
            </div>
            <%}
               }%>
        </td>
    </tr>
    <%} %>
    <tr>
        <td colspan="2" class="ui-widget-content">
            <%=Ajax.RichTextBox("PostBody",
                Model == null ? (ViewData["Quote"] != null ? ViewData["Quote"].ToString() : "") : Model.Body,
                            new RichTextBoxOptions()
                            {
                                ImageBaseUrl = Url.Content("~/Content/Images/rte/")
                            })%>
        </td>
    </tr>
    <% if (Model == null)
       {%>
    <tr>
        <td colspan="2">
            <% Ajax.Tabs("#OptionTabs"); %>
            <div id="OptionTabs">
                <ul>
                    <li><a href="#PostOption">
                        <%=Html.Global("forums", "Options")%></a></li>
                </ul>
                <div id="PostOption">
                    <ul class="ui-helper-reset" style="margin: 10px;">
                        <%    if (Html.IsAuthorize<PostController>("Pin"))
                              { %>
                        <li style="clear: left; padding: 3px;">
                            <%=Ajax.CheckBox("PinPost", Html.Global("forums", "PinThread"))%>
                        </li>
                        <%}
                              if (Html.IsAuthorize<PostController>("Lock"))
                              {
                        %>
                        <li style="clear: left; padding: 3px;">
                            <%=Ajax.CheckBox("LockPost", Html.Global("forums", "LockThread"))%>
                        </li>
                        <% }%>
                        <li style="clear: left; padding: 3px;">
                            <%=Ajax.CheckBox("NotifyMe", Html.Global("forums", "NotifyMeWhenReply"))%>
                        </li>
                    </ul>
                </div>
            </div>
        </td>
    </tr>
    <%} %>
    <tr>
        <td style="padding: 10px" align="center" colspan="2">
            <%=Ajax.Submit(Html.Global("RES_SAVE"), "ui-icon ui-icon-disk") %>
        </td>
    </tr>
</table>
<%} %>
<%--<%=Html.StartupScripts() %>--%>
