﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl< IEnumerable<Blog>>" %>
<% if (Model.Count() > 0)
   { %>
<table>
    <% 
        foreach (var blog in Model)
        { %>
    <tr>
        <td style="50px" valign="middle" align="center">
            <img src="<%:blog.OwnerUser.GetAvatar() %>" alt="<%:blog.Owner %>" width="48" height="48" />
        </td>
        <td valign="top">
            <div>
                <%:Html.UserLink(blog.Owner) %></div>
            <div>
                <%: string.IsNullOrEmpty(blog.Description) ? blog.Title : Html.Encode(blog.Description)%>
            </div>
        </td>
    </tr>
    <%} %>
</table>
<%}
   else
   { %>
<div class="ui-state-highlight" style="padding: 10px;">
    <%:Html.Global("publishing", "NoBloggers")%></div>
<%} %>
