<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Article>" %>
<% 
    var comments = Model.GetComments();
    if (comments.Count() > 0)
    { %>
<div>
    <h3 style="height: 30px;">
        <img src="<%:Url.Content("~/Content/Images/comments.png") %>" style="float: left;"
            alt="" /><span style="float: left; margin-left: 5px; margin-top: 8px;"><%:Html.Global("Publishing", "Comments")%>(<%:Model.TotalComments %>):</span>
        <span style="float: right;padding-top:10px;">
            <%:Html.ImageLink("Rss",Url.Action("RssFeed","Article",new{Area="Publishing",website=this.CurrentWeb().Name,id=Model.ID}),
                Url.Content("~/Content/Images/rss.png")) %>
            <%:Html.ImageLink("Atom",Url.Action("AtomFeed","Article",new{Area="Publishing",website=this.CurrentWeb().Name,id=Model.ID}),
                Url.Content("~/Content/Images/rss.png")) %>
        </span>
    </h3>
</div>
<table style="width: 100%; margin-bottom: 10px; clear: left;" cellpadding="5" cellspacing="0">
    <% foreach (var comment in comments)
       { %>
    <tr>
        <td class="ui-widget-content" style="border-right: none;" id="<%:"comment_"+comment.ID.ToString() %>">
            <%  
                var avatar = Url.Content("~/Content/Images/no-avatar.gif");
                var _userName = comment.UserName;
                var user = Membership.GetUserNameByEmail(comment.Email);
                if (!string.IsNullOrEmpty(user))
                {
                    var p =new ProfileBase();
                    p.Initialize(_userName, true);
                    if ((p["DisplayName"] != null) && (!string.IsNullOrEmpty(p["DisplayName"].ToString())))
                        _userName = p["DisplayName"].ToString();
                    if ((p["Avatar"] != null) && (!string.IsNullOrEmpty(p["Avatar"].ToString())))
                        avatar = Url.Content(p["Avatar"].ToString());
                }
                else
                    _userName = comment.IP;
            %>
            <table>
                <tr>
                    <td class="ui-widget-content">
                        <img src="<%:avatar %>" alt="" width="24" height="24" />
                    </td>
                    <td>
                        <% if (!string.IsNullOrEmpty(user))
                           { %>
                        <%:Html.UserLink(user)%>
                        <%}
                           else
                           {
                               if (comment.IsPingback)
                               { %>
                        <div>
                            <span><%:Html.Global("publishing", "PingbackFrom")%>:</span><a href="<%:comment.WebSite %>" target="_blank"><%:comment.WebSite%></a></div>
                        <%}
                               else
                               {
                                   if (comment.IsTrackback)
                                   { %>
                        <div style="font-weight: bold; font-style: italic;">
                            <%:comment.Title %></div>
                        <div>
                            <a href="<%:comment.WebSite %>" target="_blank">
                                <%:comment.UserName%></a></div>
                        <%}
                                   else
                                   { %>
                        <a href="<%:"mailto:"+comment.Email %>">
                            <%:_userName%></a>
                        <%} %>
                        <%}
                           } %>
                    </td>
                </tr>
            </table>
        </td>
        <td style="width: 150px; border-left: none;" class="ui-widget-content" align="right">
            <%: Html.Global(comment.Posted) %>
        </td>
    </tr>
    <tr>
        <td colspan="2" valign="top" style="padding-top: 10px; padding-bottom: 10px;">
            <%:Html.FormatXhtml(comment.Body) %>
            <div style="padding: 5px;">
                <% if (comment.IsTrackback)
                   { %>
                <a style="color: #cccccc; font-style: italic;" href="<%:comment.WebSite %>" target="_blank">
                    <span>- <%:Html.Global("Trackback")%>:</span><%:comment.WebSite %></a>
                <%} %>
            </div>
        </td>
    </tr>
    <%} %>
</table>
<%}
    else
    { %>
<div class="ui-state-highlight ui-corner-all" style="padding: 10px; margin: 5px;
    display: block;">
    <span style="float: left; margin-right: 0.3em;" class="ui-icon ui-icon-info"></span>
    <%:Html.Global("Publishing", "NoComments")%>
</div>
<%} %>
<%
    if ((Request.IsAuthenticated) || (Model.Category.AllowAnonymousPostComment))
    {
        if (Model.AllowComments)
        {
%>
<div id="dna_ui_article_comments">
    <h3>
        <%:Html.Global("Publishing", "WriteComment")%>:</h3>
    <% Html.EnableClientjQueryValidation(); %>
    <% using (Ajax.BeginAjaxForm("AddComment", "Article", new jQueryAjaxOptions()
       {
           AutoBlocking = true,
           UpdateTargetID = "CommentFields",
           OnComplete = " if ($('#isCommentAdded').val()=='True') $('#commentlist').load('" + Url.Action("Comments", "Article", new { Area = "Publishing", id = Model.ID }) + "');"
       }, new RouteValueDictionary(new { id = Model.ID })))
       {
    %>
    <%:Html.AntiForgeryToken()%>
    <div id="CommentFields">
        <% Html.RenderAction("AddComment", "Article", new { Area = "Publishing", id = Model.ID }); %>
    </div>
    <%}
        }%>
</div>
<%} %>
<% if ((Model.TotalComments > 0) && (!Model.AllowComments))
   { %>
   <div class="ui-highlight">The comments has been closed.</div>
<%} %>
<%:Html.StartupScripts() %>