<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Category>" %>
<% using (Ajax.BeginAjaxForm("Edit", "Category", new jQueryAjaxOptions()
   {
       HttpMethod = "POST",
       AutoBlocking = true,
       OnComplete = "var _n=$('#CategoryTree').treeview('option','selectedNode'); _n.contentElement.find('span').text($('#Category_Title').val());"
   },
       new RouteValueDictionary(new { Area = "Publishing", id = Model.ID })))
   { %>
<div style="padding: 10px;">
    <h3>
        <img style="float: left;" src="<%:Url.Content("~/Content/Images/Publishing/folder_full.png") %>"
            alt="" /><span style="float: left; margin-top: 8px;"><%:Model.Title %></span></h3>
</div>
<%:Html.AntiForgeryToken() %>
<div style="padding: 10px; border-top: none;">
    <table style="width: 100%; background: none;" cellspacing="0" cellpadding="10px"
        class="ui-widget-content ui-border-top">
        <tr>
            <td class="ui-widget-content ui-border-rb" style="background: none;" valign="top">
                <h3>
                    <label for="Category_Title">
                        <%:Html.Global("RES_TITLE") %>
                    </label>
                </h3>
                <div>
                    <%:Html.Global("publishing","CategoryTitleTips") %>
                </div>
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.TextBox("Category.Title", Model.Title)%>
                <input name="Category.IsModerated" type="hidden" value="false" />
                <input name="Category.EnabledVersioning" type="hidden" value="false" />
            </td>
        </tr>
        <tr>
            <td class="ui-widget-content ui-border-rb" style="background: none;" valign="top">
                <h3>
                    <%:Html.Global("publishing", "AllowAnonymousePostComments")%>
                </h3>
                <%:Html.Global("publishing", "AllowAnonymousePostCommentsTips")%>
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.CheckBox("Category.AllowAnonymousPostComment", Html.Global("publishing", "Allow"), Model.AllowAnonymousPostComment)%>
            </td>
        </tr>
        <tr>
            <td class="ui-widget-content ui-border-rb" valign="top" style="background: none;">
                <h3>
                    <label for="Category_Description">
                        <%:Html.Global("RES_DESC") %></label></h3>
                <div>
                    <%:Html.Global("publishing", "CategoryDescriptTips")%></div>
            </td>
            <td class="ui-widget-content ui-border-bottom" style="background: none;">
                <%=Ajax.TextArea("Category.Description", Model.Description, new { rows=8})%>
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <%:Ajax.Submit(Html.Global("RES_SAVE"), "ui-icon ui-icon-disk")%>
                <%:Ajax.ActionButton(Html.Global("RES_DELETE"), "ui-icon ui-icon-close", "Delete", "Category", new jQueryAjaxOptions()
                    { 
                        HttpMethod="POST",
                        Confirm = string.Format( Html.Global("publishing", "CategoryDeleteConfirm"),Model.Title),
                        OnComplete = "var _n=$('#CategoryTree').treeview('option','selectedNode'); if (_n.element.attr('key')=='0')  return; _n.del();"
                    }, new { Area="Publishing",id=Model.ID} )
                %>
            </td>
        </tr>
    </table>
</div>
<% } %>
<%=Html.StartupScripts() %>
