<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ChangePasswordModel>" %>

<asp:Content ID="changePasswordHead" ContentPlaceHolderID="head" runat="server">
    <%=Html.ScriptRefs(new string[] {"jquery.validate.min.js","MicrosoftMvcJQueryValidation.js" }) %>
</asp:Content>
<asp:Content ID="changePasswordContent" ContentPlaceHolderID="MainContent" runat="server">
    <div class="ui-corner-all ui-widget-content" style="margin: 30px;">
        <div class="ui-widget-header ui-corner-top ui-border-bottom" style="padding: 10px">
            <h1 style="overflow: auto;">
                <img style="float: left;" src="<%:Url.Content("~/Content/Images/Support_48x48.png") %>"
                    alt="" />
                <span style="float: left; margin-top: 10px; margin-left: 5px;">
                    <%=Html.Global("RES_CHANGEPWD")%></span></h1>
        </div>
        <% using (Html.BeginForm())
           { %>
           <%:Html.AntiForgeryToken() %>
        <% Html.EnableClientjQueryValidation(); %>
        <div style="padding: 20px;">
            <div>
                <%= Html.ValidationSummary() %>
                <p>
                    <%=Html.Global("RES_CHANGEPWDFROM")%>
                </p>
                <p>
                    New passwords are required to be a minimum of
                    <%:Html.Encode(ViewData["PasswordLength"])%>
                    characters in length.
                </p>
            </div>
            <table cellpadding="5px;" cellspacing="5px">
                <tr>
                    <td>
                        <label for="OldPassword">
                            <%=Html.Global("RES_OLDPWD")%>
                        </label>
                    </td>
                    <td>
                        <%: Ajax.Password("OldPassword")%>
                        <%: Html.ValidationMessageFor(m => m.OldPassword) %>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="NewPassword">
                            <%=Html.Global("RES_NEWPWD")%>
                        </label>
                    </td>
                    <td>
                        <%: Ajax.Password("NewPassword")%>
                        <%: Html.ValidationMessageFor(m => m.NewPassword) %>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="ConfirmPassword">
                            <%=Html.Global("RES_CONFIRMPWD")%>
                        </label>
                    </td>
                    <td>
                        <%: Ajax.Password("ConfirmPassword")%>
                        <%: Html.ValidationMessageFor(m => m.ConfirmPassword) %>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <%: Ajax.Submit(Html.Global("RES_CHANGEPWD"))%>
                    </td>
                </tr>
            </table>
        </div>
        <% } %>
    </div>
</asp:Content>
