<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MembershipUserCollection>" %>
<% if (Model.Count > 0)
   { %>
<table class="ui-widget" cellpadding="3" cellspacing="1" width="100%" id="security_user_table">
    <tr>
        <th class="ui-widget-header ui-state-active">
            <%=Html.Global("RES_USER_NAME") %>
        </th>
        <th class="ui-widget-header ui-state-active">
            <%=Html.Global("RES_EMAIL")%>
        </th>
        <th class="ui-widget-header ui-state-active">
            <%:Html.Global("RES_CREATION")%>
        </th>
        <th class="ui-widget-header ui-state-active">
            <%=Html.Global("RES_LAST_LOGIN")%>
        </th>
        <th class="ui-widget-header ui-state-active">
            <%=Html.Global("RES_ROLES")%>
        </th>
    </tr>
    <% foreach (MembershipUser user in Model)
       {%>
    <tr>
        <td>
            <%=Html.UserLink(user.UserName) %>
        </td>
        <td>
            <%=Html.MailTo(user.Email) %>
        </td>
        <td>
            <%=user.CreationDate %>
        </td>
        <td>
            <%=user.LastActivityDate %>
        </td>
        <td>
            <% var userRoles = Roles.GetRolesForUser(user.UserName);
               var roles = Roles.GetAllRoles();
            %>
            <div id="<%=user.UserName+"Roles" %>" onclick="<%="$('#"+user.UserName+"dropDown').slideToggle().position({ of: $('#"+user.UserName+"Roles'), my: 'right top', at: 'right bottom' });" %>">
                <%=string.Join(",",userRoles) %><span style="float: right;" class="ui-icon ui-icon-triangle-1-s"></span>
            </div>
            <ul id="<%=user.UserName+"dropDown" %>" class="ui-helper-reset ui-widget-content"
                style="position: absolute; display: none; padding: 5px;">
                <% foreach (var role in roles)
                   { %>
                <li style="padding: 3px; height: 20px;">
                    <%:Ajax.CheckBox(user.UserName + "_" + role, new CheckBoxOptions()
                        {
                            Text = role,
                            Value = userRoles.Contains(role),
                            OnCheckedChanged = "if (value) $.post('" + Url.Action("AddUser", "Security", new { user = user.UserName, roleName = role }) + "'); else $.post('" +
                            Url.Action("RemoveUser", "Security", new { user = user.UserName, roleName = role }) + "');"
                        })
                    %></li>
                <%} %>
            </ul>
        </td>
    </tr>
    <%} %>
</table>
<%}
   else
   {%>
<div class="ui-state-highlight" style="padding: 10px;">
<%:Html.Global("Account_UserList_UserNotFound")%>
</div>
<%} %>
<%:Html.StartupScripts() %>