<%@ Control Language="C#" Inherits="DNA.Mvc.DynamicUI.WidgetViewUserControl" %>
<% if (IsDesignMode){ %>
<form action="#" class="ui-widget-settings ui-widget-content ui-corner-all">
<div>
    <%:PropertyDescriptors["Summary"].DisplayName%></div>
<div>
    <%:Ajax.TextArea(GenerateFieldID("Summary"), UserData["Summary"] != null ? UserData["Summary"].ToString() : "", new { rows = "10" })%></div>
<div>
    <%:PropertyDescriptors["Business"].DisplayName%></div>
<div>
    <%:Ajax.TextBox(GenerateFieldID("Business"), UserData["Business"] != null ? UserData["Business"].ToString() : "")%></div>
<div>
    <%:PropertyDescriptors["Amount"].DisplayName%></div>
<div>
    <%:Ajax.Number(GenerateFieldID("Amount"), UserData["Amount"] != null ? UserData["Amount"] : 0, 75)%></div>
<div>
    <%:PropertyDescriptors["ItemName"].DisplayName%></div>
<div>
    <%:Ajax.TextBox(GenerateFieldID("ItemName"), UserData["ItemName"] != null ? UserData["ItemName"].ToString() : "")%></div>
<div>
    <%:PropertyDescriptors["ReturnUrl"].DisplayName%></div>
<div>
    <%:Ajax.TextBox(GenerateFieldID("ReturnUrl"), UserData["ReturnUrl"] != null ? UserData["ReturnUrl"].ToString() : "")%></div>
</form>
<%} %>
<div style="text-align: center; border: ">
<h2 style="text-align:center" class="">Donate via Paypal</h2>
    <div style="margin: 5px;">
        <%=UserData["Summary"] %>
    </div>
    <%=Html.Image("https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif") %>
    <form method="post" action="https://www.paypal.com/cgi-bin/webscr">
    <input type="hidden" value="_donations" name="cmd" />
    <%=Html.Hidden("business",UserData["Business"]) %>
    <%=Html.Hidden("item_name",UserData["ItemName"]) %>
    <%=Html.Hidden("item_number",Guid.NewGuid().ToString().Replace("-","")) %>
    <input type="hidden" value="1" name="no_note" />
    <input type="hidden" name="no_shipping" value="2" />
    <input type="hidden" value="USD" name="currency_code" />
    <%=Html.Hidden("return",UserData["ReturnUrl"]) %>
    <input type="hidden" value="0" name="tax" />
    <input type="hidden" value="US" name="lc" />
    <table>
        <tr>
            <td>
                <%=Html.Global("RES_AMOUNT") %>&nbsp;$
            </td>
            <td>
                <%=Ajax.Number("amount", UserData["Amount"] != null ? UserData["Amount"] : 10.0, 30)%>
            </td>
            <td colspan="2">
                <%=Ajax.Button(Html.Global("RES_DONATE"),"","$(this).parents('form').submit();") %>
            </td>
        </tr>
    </table>
    </form>
</div>
<%=Html.StartupScripts() %>