﻿<%@ Control Language="C#" Inherits="DNA.Mvc.DynamicUI.WidgetViewUserControl" %>
<% if (IsDesignMode)
   { %>
<form action="#" class="ui-widget-settings ui-widget-content ui-corner-all">
<div style="overflow: hidden;">
    <%:PropertyDescriptors["FileUrl"].DisplayName%></div>
<div style="overflow: hidden; margin-top: 5px;">
    <%:Ajax.TextBox(GenerateFieldID("FileUrl"), UserData["FileUrl"] != null ? UserData["FileUrl"].ToString() : "http://")%>
    <%:Ajax.FileButton(GenerateFieldID("FileUrl"), 
    WebContext.Current.Web.GetWebRootUri(), 
    new ButtonOptions() 
    { 
        Text = Html.Global("RES_BROWSE"), 
        Icons = new ButtonOptions.ButtonIcons()
        { 
            PrimaryIconCssClass = "ui-icon ui-icon-folder-open" 
        } 
    }, 
       null)%>
</div>
</form>
<%} %>
<% if (ViewData["Content"] != null)
   { %>
<div style="padding: 10px;">
    <div style="margin-top: 5px;">
        <%:Html.FormatWiKi(Context.Server.HtmlDecode(ViewData["Content"].ToString()))  %>
    </div>
</div>
<%}
   else
   { %>
<%:Html.ValidationSummary() %>
<%} %>
<%=Html.StartupScripts() %>